--poll error with OS_VOLUME_API_VERSION=3

Bug #1789948 reported by Eric Harney on 2018-08-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-cinderclient
Undecided
Unassigned

Bug Description

This error message should not occur. (Volume creation was failed on purpose by putting some bad code into the driver's create_volume method.)

$ echo $OS_VOLUME_API_VERSION
3

$ cinder create 1 --poll
+------------------------------+--------------------------------------+
| Property | Value |
+------------------------------+--------------------------------------+
| attachments | [] |
| availability_zone | nova |
| bootable | false |
| consistencygroup_id | None |
| created_at | 2018-08-30T16:22:03.000000 |
| description | None |
| encrypted | True |
| id | 9e05bea0-759d-4bd5-9d4d-93f2e9708b2e |
| metadata | {} |
| multiattach | False |
| name | None |
| os-vol-tenant-attr:tenant_id | 3e5627dd85e74309a33b20f74bff7e3e |
| replication_status | None |
| size | 1 |
| snapshot_id | None |
| source_volid | None |
| status | error |
| updated_at | None |
| user_id | 7506ac45bb56480e8ec91369ac74a6ac |
| volume_type | nfs |
+------------------------------+--------------------------------------+
ERROR: API version '3.0' is not supported on 'cinderclient.v3.messages.list' method.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers